#!/bin/bash

# Creating lay-out
cd "$(dirname "$0")"

mkdir -p build/

cd build/

# Building flags
CFLAGS="-g -Wall -Wextra -O0 --std=gnu99"
LDFLAGS="-lc -pthread"

# Building executable...
echo -e "\nBuilding posix-threading-synchronisation research..."

time gcc -x c $CFLAGS $DEFINES ../src/main.c -o ./gazoo_test_environment $LDFLAGS

echo ""

cd ..
