#include "base.h"
#include "arena.h"
#include "linux_platform.h"
#include "string.h"

#include "arena.c"
#include "linux_platform.c"
#include "string.c"

int
main(void)
{
  Arena *arena = arena_initialize_default();

  /* lifetime of objects */
  String8 string = str8_lit("Hello world");

  print_str8(string);

  arena_release(arena);
  return 0;
}
